LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 10-19-2008, 04:53 PM   #1
shunpo
LQ Newbie
 
Registered: Sep 2008
Posts: 8

Rep: Reputation: 0
Error installing with apt-get in Ubuntu


Im running the newest version of Ubuntu and im getting errors when installing with apt-get. as root running apt-get install zsnes i get this error.




(Reading database ... dpkg: error processing /var/cache/apt/archives/libao2_0.8.8-3_i386.deb (--unpack):
files list file for package `perl' is missing final newline
Errors were encountered while processing:
/var/cache/apt/archives/libao2_0.8.8-3_i386.deb
Processing was halted because there were too many errors.
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ive read up on other forums and here's what ive done.



apt-get dist-upgrade
apt-get clean
cleared out /var/cache/apt/archive and mkdir partial

and none of my partitions are full.

apt has been working fine for several weeks since I've installed, but now not so much.


thanks
 
Old 10-19-2008, 07:49 PM   #2
{BBI}Nexus{BBI}
Senior Member
 
Registered: Jan 2005
Location: Nottingham, UK
Distribution: Mageia 6, KDE Neon
Posts: 4,313

Rep: Reputation: 212Reputation: 212Reputation: 212
Try running:
Code:
sudo dpkg --configure -a
 
Old 10-20-2008, 09:09 AM   #3
shunpo
LQ Newbie
 
Registered: Sep 2008
Posts: 8

Original Poster
Rep: Reputation: 0
Same error with apt-get.
 
Old 10-20-2008, 09:27 AM   #4
makyo
Member
 
Registered: Aug 2006
Location: Saint Paul, MN, USA
Distribution: {Free,Open}BSD, CentOS, Debian, Fedora, Solaris, SuSE
Posts: 732

Rep: Reputation: 75
Hi.

A simulated install on gutsy seems to work:
Code:
$ apt-get -s install zsnes
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  zsnes
0 upgraded, 1 newly installed, 0 to remove and 7 not upgraded.
Inst zsnes (1.510-1 Ubuntu:7.10/gutsy)
Conf zsnes (1.510-1 Ubuntu:7.10/gutsy)
Not much direct help I fear, just another data point. Best wishes ... makyo
 
Old 10-20-2008, 03:16 PM   #5
shunpo
LQ Newbie
 
Registered: Sep 2008
Posts: 8

Original Poster
Rep: Reputation: 0
Here's another interesting part of the problem. The GUI software manager is also mising from my system>admin menu.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing applications in ubuntu without apt-get archimedes123 Linux - Newbie 2 07-18-2008 06:32 AM
Ubuntu 7.04 - Error Apt-Getting Build-Essential Peatmoss Ubuntu 5 12-11-2007 06:42 PM
apt-get error (on ubuntu) when installing an ftp server devinnull Linux - Server 1 09-04-2006 02:31 AM
ubuntu 5.10 apt-get error issey Ubuntu 7 01-25-2006 03:33 PM
apt-get error installing xlibs 4.2.1-14, apt-get won't work at all now pib Debian 1 12-10-2003 11:39 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 07:42 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration